Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "202ed532-ab8b-4874-aa1e-a44666b12a71",
  "jobs_id": "1f7d16da-d112-4698-ab06-690bc85eedf5",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "47d6da4a-ed07-46f0-8ff2-97934212dbac",
    "_parent_id": "9afe8276-f656-4791-8b19-b75307d7d703",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "b6faf687-ef05-4c22-8bdd-a783bb8caa8d",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "fed5b367-2c8a-4bb1-af10-148163b1bde9",
      "_parent_id": "f545bf26-fa88-4e06-8c54-76bb8bc10ccb",
      "root_parent_id": "4a73f16e-499c-4aeb-80c3-1195a288066c",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "16301d09-e9c5-47ee-9666-1eab186d203b",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "5715574e-34ee-478a-bbcc-55a3749b2fd8",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "1f6748fd-20ad-4867-bb78-c936a8663d14",
        "_parent_code": "sample string 6",
        "sales_organization_id": "0ef5ab66-68a5-4293-9ecd-3d4f6fec7b10",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
          "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
          "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
        },
        "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
      },
      "equipment_model_id": "f594ffe7-1d90-4afd-8285-a7ad03e4944f",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "00af3a95-71f5-4ff9-b16b-b15bbda6f17a",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "d2eaf06b-0668-42fd-b799-642ee0873d7d",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "469fc221-1ae4-421c-9d0a-f09ec4607c19",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "11043154-5d5c-4c32-bc03-80456d5ee172",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
            "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
            "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
          },
          "modified_dateutc": "2026-10-22T06:55:17.9577071+00:00"
        },
        "equipment_family_id": "03b8ebce-2012-4e0a-b621-c5aad66d99ca",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "5715574e-34ee-478a-bbcc-55a3749b2fd8",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "1f6748fd-20ad-4867-bb78-c936a8663d14",
          "_parent_code": "sample string 6",
          "sales_organization_id": "0ef5ab66-68a5-4293-9ecd-3d4f6fec7b10",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
            "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
            "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
          },
          "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
        },
        "date_in_production_since": "2026-10-22T06:55:17.9577071+00:00",
        "date_out_of_production_since": "2026-10-22T06:55:17.9577071+00:00",
        "date_end_support": "2026-10-22T06:55:17.9577071+00:00",
        "sales_organization_id": "e46f80db-c3c0-451e-9e3a-03bf16b538e8",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
          "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
          "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-22T06:55:17.973299+00:00"
      },
      "project_status_id": "42f3b65d-5b9b-48dd-b8b9-f228164eab30",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "1122b555-6ee7-4f1b-8fba-2f29d6058fa7",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "b94dc242-b53f-44d0-ba12-0fdecf4dcb03",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
          "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
          "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-22T06:55:17.973299+00:00"
      },
      "company_id": "a2be1a48-4c92-4d50-a3ae-9d88295875df",
      "company_code": "sample string 12",
      "db_address_id": "db7a01a8-0457-459a-8c6a-c4047bdf9571",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "fb12a844-e80b-425a-8e30-378c7f774cb2",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "38673a99-4a28-4b0d-8f4a-a898a3586626",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-22T06:55:17.973299+00:00",
      "date_create": "2026-10-22T06:55:17.973299+00:00",
      "date_update": "2026-10-22T06:55:17.973299+00:00",
      "updated_by_user_id": "1c47ce1b-9119-40f8-a416-cd9b8675d9db",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-22T06:55:17.973299+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-22T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-22T06:55:17.973299+00:00",
      "date_last_job": "2026-10-22T06:55:17.973299+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-22T06:55:17.973299+00:00",
      "modified_dateutc": "2026-10-22T06:55:17.973299+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "e771c211-8a8b-4bbf-a39c-2e72d95fedb4",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "203c967c-9b30-419b-b37a-dffeacd57e43",
      "name": "sample string 2",
      "sales_organization_id": "8b911c5e-533b-4c12-99ed-321c377b6583",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-22T06:55:17.973299+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "1a737759-625b-4778-b94b-8af05c3d81e6",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "88f149e3-33d5-4cba-a2c4-413c43215a25",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "9f311e12-0c38-4cad-9253-0420b79cb12d",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
        "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
        "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-22T06:55:17.973299+00:00"
    },
    "job_status_id": "4225acb4-0b83-49bb-ae4f-bf01b52ed76e",
    "job_status_code": "sample string 11",
    "db_address_id": "50c78ede-a30e-4983-862e-a3ce981b7b9f",
    "contact_id": "5345fd97-cac7-4e15-a7fa-f288a5f92415",
    "requested_by_company_id": "fab59b48-1230-4f9a-bc34-6014ccdb7525",
    "requested_by_contact_id": "c3399457-540d-42e2-8e5e-ac6a49d91921",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-22T06:55:17.973299+00:00",
    "due_date": "2026-10-22T06:55:17.973299+00:00",
    "date_create": "2026-10-22T06:55:17.973299+00:00",
    "date_update": "2026-10-22T06:55:17.973299+00:00",
    "date_closed": "2026-10-22T06:55:17.973299+00:00",
    "suggested_user_id": "c30e977d-0b77-438d-91be-a900a654bbba",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "883c3853-c4a2-4527-bf37-52993ec418cf",
      "db_language_id": "2d7c2d61-a3c3-48ab-81df-a1a5f04d234b",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-22T06:55:17.973299+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "e9499b2f-23e7-4d62-8c4b-14b39fe647f0",
      "sales_organization": {
        "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
        "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
        "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "9f415b2f-181f-4adc-af95-6461038825f1",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "04670f0c-5211-4e21-9457-58c9a6b6764f",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-22T06:55:17.973299+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "3207b936-0955-4579-bb4e-5d50b893fb24"
    },
    "suggested_date_start": "2026-10-22T06:55:17.973299+00:00",
    "skill_id": "4c1466c9-b60a-4cb3-b1f4-a7157d16dae1",
    "skill_code": "sample string 32",
    "skill": {
      "id": "56f5ee15-ebac-4734-9eb6-c3c039d46430",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "03b34e4f-2540-41de-b60a-1251400e8871",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "6a32df78-4e7e-4a00-b863-b6cfeed5b4c3",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "721efc30-abdf-4d05-8a64-ce9371e208df",
        "db_currency_id": "01b39751-a361-4b9e-9bce-74e46603f830",
        "db_language_id": "8ca5918a-b04e-4669-945b-6548584cdc5a",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-22T06:55:17.9264151+00:00"
      },
      "modified_dateutc": "2026-10-22T06:55:17.973299+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "ccf107e7-16e5-4706-8444-7987f570f823",
    "date_reported_by_company": "2026-10-22T06:55:17.973299+00:00",
    "id2": 36,
    "company_id": "f751a6df-f9ce-47ae-84e3-3638305edb31",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "bdcdfc1d-3bae-41b7-904f-2a3c10e4264f",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-22T06:55:17.973299+00:00"
  },
  "work_instruction_details_id": "721af12f-467c-450c-8f83-5310e2cb3f9a",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "14058228-3769-4ab2-983a-108bafd51acf",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "5b12b5e3-4a5b-4f49-8a54-f4dda244bf4d",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-22T06:55:17.973299+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "d4320fbc-7020-41ce-bf6f-47aa82ee4c60",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-22T06:55:17.9889237+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.